backend:
  branch: main
  name: git-gateway
  open_authoring: true
collections:
- create: true
  description: Upcoming events
  fields:
  - i18n: true
    label: Title
    name: title
    widget: string
  - default: false
    i18n: true
    label: Draft
    name: draft
    widget: boolean
  - default: true
    hint: Whether to show comments.
    i18n: duplicate
    label: Comments
    name: comments
    required: false
    widget: boolean
  - default: false
    hint: Featured post will be shown on homepage carousel.
    i18n: true
    label: Featured
    name: featured
    required: false
    widget: boolean
  - default: false
    hint: Whether to pin the post on homepage and list.
    i18n: true
    label: Pinned
    name: pinned
    required: false
    widget: boolean
  - format: YYYY-MM-DDTHH:mm:ssZZ
    i18n: true
    label: Post Publish Date
    name: publishDate
    picker_utc: false
    widget: datetime
  - format: YYYY-MM-DDTHH:mm:ssZZ
    i18n: true
    label: Event Start Date
    name: date
    picker_utc: false
    widget: datetime
  - format: YYYY-MM-DDTHH:mm:ssZZ
    i18n: true
    label: Event Ending Date
    name: endDate
    picker_utc: false
    widget: datetime
  - i18n: true
    label: Description
    name: description
    required: false
    widget: text
  - collapsed: true
    fields:
    - label: Title
      name: title
      required: false
      widget: string
    - label: Address
      name: address
      required: false
      widget: text
    hint: Name and address of start location
    i18n: false
    label: Start location
    minimize_collapsed: true
    name: location
    required: false
    summary: '{{fields.title}}{{fields.title | ternary('': '', '''')}}{{fields.address}}'
    widget: object
  - collapsed: true
    hint: GPX file of route
    i18n: false
    label: GPX file
    minimize_collapsed: true
    name: gpxFile
    required: false
    summary: '{{fields.gpxFile}}'
    widget: file
  - collapsed: true
    field:
      label: Image
      name: image
      widget: image
    i18n: true
    label: Images
    minimize_collapsed: true
    name: images
    required: false
    summary: '{{fields.image}}'
    widget: list
  - collapsed: true
    field:
      label: Alias
      name: alias
      widget: string
    i18n: true
    label: Aliases
    minimize_collapsed: true
    name: aliases
    required: false
    summary: '{{fields.alias}}'
    widget: list
  - default:
    - ich
    - paul
    i18n: true
    label: Authors
    name: authors
    required: false
    widget: strings
  - i18n: true
    label: Series
    name: series
    required: false
    widget: strings
  - default:
    - rides
    i18n: true
    label: Categories
    label_singular: Category
    name: categories
    required: false
    widget: strings
  - default:
    - north-bay
    - south-bay
    - east-bay
    - sierras
    - norcal
    - socal
    - mexico
    - pnw
    i18n: true
    label: Areas
    label_singular: Area
    name: tags
    required: false
    widget: strings
  - i18n: true
    label: Body
    name: body
    widget: markdown
  - default: '{{path}}'
    name: path
    required: false
  folder: content/events
  label: Events
  label_singular: Event
  meta:
    path:
      index_file: index
      label: Path
      widget: string
  name: events
  nested:
    depth: 5
  path: '{{year}}-{{slug}}/index'
  sortable_fields:
  - date
  - title
  summary: '{{date | truncate(10, '' '')}}{{date | ternary(''- '','''')}}{{title}}'
  view_groups:
  - field: date
    label: Year
    pattern: \d{4}
  - field: draft
    label: Drafts
- create: true
  fields:
  - i18n: true
    label: Title
    name: title
    widget: string
  - default: false
    i18n: true
    label: Draft
    name: draft
    widget: boolean
  - default: false
    hint: Featured post will be shown on homepage carousel.
    i18n: true
    label: Featured
    name: featured
    required: false
    widget: boolean
  - default: false
    hint: Whether to pin the post on homepage and list.
    i18n: true
    label: Pinned
    name: pinned
    required: false
    widget: boolean
  - default: true
    hint: Whether to show comments.
    i18n: duplicate
    label: Comments
    name: comments
    required: false
    widget: boolean
  - i18n: true
    label: Date
    name: date
    picker_utc: true
    widget: datetime
  - i18n: true
    label: Description
    name: description
    required: false
    widget: text
  - collapsed: true
    field:
      label: Image
      name: image
      widget: image
    i18n: true
    label: Images
    minimize_collapsed: true
    name: images
    required: false
    summary: '{{fields.image}}'
    widget: list
  - collapsed: true
    field:
      label: Alias
      name: alias
      widget: string
    i18n: true
    label: Aliases
    minimize_collapsed: true
    name: aliases
    required: false
    summary: '{{fields.alias}}'
    widget: list
  - default:
    - ich
    - paul
    i18n: true
    label: Authors
    name: authors
    required: false
    widget: strings
  - i18n: true
    label: Series
    name: series
    required: false
    widget: strings
  - i18n: true
    label: Categories
    name: categories
    required: false
    widget: strings
  - i18n: true
    label: Tags
    name: tags
    required: false
    widget: strings
  - i18n: true
    label: Body
    name: body
    widget: markdown
  - default: '{{path}}'
    name: path
    required: false
  folder: content/blog
  label: Blog
  label_singular: Post
  meta:
    path:
      index_file: index
      label: Path
      widget: string
  name: blog
  nested:
    depth: 5
  path: '{{year}}-{{slug}}/index'
  sortable_fields:
  - date
  - title
  summary: '{{date | truncate(10, '' '')}}{{date | ternary(''- '','''')}}{{title}}'
  view_groups:
  - field: date
    label: Year
    pattern: \d{4}
  - field: draft
    label: Drafts
locale: en
media_folder: static/images/uploads
public_folder: /images/uploads
publish_mode: editorial_workflow
search: true
site_url: https://gtj.netlify.app/
